\newcommand{\hide}[1]{{}}
\def \modediagram {{\textsf{MDM}}}
\def \State{\textit{State}}
\def \MD {\textit{md}}
\def \mlist{\textit{mlist}}
\def \TopModes {\emph{TopModes}}
\def \Contains {\textit{Contains}}
\def \Trans {\textit{Trans}}

\def \PBegin   {{\textit{Begin}}}
\def \PExecute {{\textit{Execute}}}
\def \PEnd     {{\textit{End}}}
\def \CFGStart {{\textit{Start}}}
\def \CFGExit  {{\textit{Exit}}}
\def \sampling {{\mathsf{sampling}}}
\def \execute  {{\textit{execute}}}
\def \failure  {{\textit{failure}}}

\newcommand{\pattern}[3]{\mathsf{Pattern_{#1}}(#2, #3)}

\newcommand{\submode}[2]{\mathsf{sub\_mode}(#1, #2)}
\newcommand{\supermodes}[2]{\mathsf{super\_modes}(#1, #2)}
\newcommand{\upmodes}[3]{\mathsf{up\_modes}(#1, #2, #3)}
\newcommand{\outs}[1]{\mathsf{outs}(#1)}
\newcommand{\CHOP} {{^{\frown}}}

\def \config {\textit{Configuration}}
\def \kwVar {\textit{Var}}
\def \kwMode {\textit{Mode}}
\def \kwModule {\textit{Module}}
\def \kwname {\textit{name}}
\def \kwperiod {\textit{period}}
\def \kwinitial {\textit{initial}}
\def \kwBody {\textit{Body}}
\def \kwTransition {\textit{Transition}}
\def \kwguard {\textit{guard}}
\def \kwpriority {\textit{priority}}
\def \kwtarget {\textit{target}}
\def \kwsource {\textit{source}}
\def \kwCFG {\textit{CFG}}

\def \kwSystem {\textit{md}}
\def \kwConst {\textit{Const}}
\def \kwSExpr {\textit{SExpr}}
\def \kwBTerm {\textit{BTerm}}
\def \kwBExpr {\textit{BExpr}}
\def \kwIExpr {\textit{IExpr}}
\def \kwGTerm {\textit{GTerm}}
\def \kwGuard {\textit{guard}}
\def\sigmasq{\ensuremath{\sigma_1{\cdot}...{\cdot}\sigma_n}}

%\def \kw {\textit{}}
%\def \kw {\textit{}}

\def \SA {\emph{A}}
\def \SB {\emph{B}}

\newcommand{\period}[1]{\mathsf{period(#1)}}
\newcommand{\isInitial}[1]{\mathsf{is\_initial(#1)}}
\newcommand{\CFG}[1]{\mathsf{CFG(#1)}}

\newcommand{\priority}[1]{\mathsf{prio(#1)}}
\newcommand{\guard}[1]{\mathsf{guard(#1)}}
\newcommand{\target}[1]{\mathsf{target(#1)}}
\newcommand{\source}[1]{\mathsf{source(#1)}}

\newcommand{\True}{\mathsf{\mathsf{true}}}
\newcommand{\False}{\mathsf{\mathsf{false}}}
\newcommand{\tvalue}{\textit{tt}}
\newcommand{\fvalue}{\textit{ff}}
\newcommand{\timestamp}{\textit{timestamp}}
\newcommand{\Real}{\textit{R}}
\newcommand{\Int}{\textit{I}nt}
\newcommand{\Float}{\textit{F}loat}
\newcommand{\Val}{\textit{V}al}


\newcommand{\Terms}{\textit{Terms}}
\newcommand{\Formulas}{\textit{Formulas}}
\newcommand{\Intv}{\textit{Intv}}

\newcommand{\after}{\mathsf{after}}
\newcommand{\duration}{\mathsf{duration}}

\newcommand{\runa}[1]{\mbox{\textsc{\protect{(#1})}}}
\newcommand{\infrules}[2]
           {\parbox{4.5cm}{$$ \frac{#1}{#2}\hspace{.5cm}$$}}
\newcommand{\infrulesL}[3]
           {\parbox{#1mm}{$$ \frac{#2}{#3}\hspace{.5cm}$$}}
%\newtheorem{property}{Property}
%\graphicspath{pic/}


\def \stmts    {\textit{stmts}}
\def \aStmt    {\textit{aStmt}}
\def \pStmt    {\textit{pStmt}}
\def \cStmt    {\textit{cStmt}}
\newcommand{\CALL}{\mathsf{call}}
\newcommand{\WHILE}{\mathsf{while}}
\newcommand{\DO}{\mathsf{do}}
\newcommand{\IF}{\mathsf{if}}
\newcommand{\THEN}{\mathsf{then}}
\newcommand{\ELSE}{\mathsf{else}}
\newcommand{\LET}{\mathsf{let}}
\newcommand{\IN}{\mathsf{in}}
\newcommand{\SKIP}{\mathsf{skip}}
